var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/server/set-request-id.ts
var set_request_id_exports = {};
__export(set_request_id_exports, {
  default: () => set_request_id_default
});
module.exports = __toCommonJS(set_request_id_exports);
var import_uuid = require("uuid");
var resolveId = (req, opts) => {
  switch (opts.mode) {
    case "generate": {
      return (0, import_uuid.v4)();
    }
    case "passthrough": {
      return req.id || req.get("x-request-id");
    }
    case "passthrough-or-generate": {
      return req.id || req.get("x-request-id") || (0, import_uuid.v4)();
    }
    case "none": {
      return null;
    }
  }
};
var setRequestId = (opts) => (req, res, next) => {
  req.id = resolveId(req, opts);
  if (req.id) {
    res.set("x-request-id", req.id);
  }
  next();
};
var set_request_id_default = setRequestId;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {});
