var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target, mod));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/middleware/index.ts
var middleware_exports = {};
__export(middleware_exports, {
  asyncWrapMiddleware: () => import_async_express_mw.default,
  cookieParserMiddleware: () => import_cookie_parser.default,
  forceHttpsMiddleware: () => force_https_default,
  staticMiddleware: () => import_express.static
});
module.exports = __toCommonJS(middleware_exports);
var import_cookie_parser = __toESM(require("cookie-parser"));
var import_async_express_mw = __toESM(require("async-express-mw"));
var import_express = require("express");

// src/middleware/force-https.ts
var force_https_default = (req, res, next) => {
  if (req.headers["x-forwarded-proto"] && req.headers["x-forwarded-proto"] !== "https") {
    res.redirect(`https://${req.hostname}${req.originalUrl}`);
  } else {
    next();
  }
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  asyncWrapMiddleware,
  cookieParserMiddleware,
  forceHttpsMiddleware,
  staticMiddleware
});
