import { OpenApiBuilder } from 'openapi3-ts';

declare const getRouteMap: (controllers: any[]) => any;
declare const asOpenAPIPath: (parsedPath: any[]) => string;
declare const asOpenAPIPathParams: (parsedPath: any[]) => {
    name: any;
    schema: {
        type: string;
    };
    required: boolean;
    in: string;
}[];
declare const routemapToOpenAPI: (routemap: any, url?: string) => OpenApiBuilder;
declare const getRouteSnippets: (routemap: any, verb: string, path: string, snippets?: string[], url?: string) => any;

export { asOpenAPIPath, asOpenAPIPathParams, getRouteMap, getRouteSnippets, routemapToOpenAPI };
