var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target, mod));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/server/index-sender.ts
var index_sender_exports = {};
__export(index_sender_exports, {
  default: () => index_sender_default
});
module.exports = __toCommonJS(index_sender_exports);
var import_path = __toESM(require("path"));
var import_fs = __toESM(require("fs"));
var indexSender = (indexFolder) => {
  const indexFile = import_path.default.resolve(indexFolder, "index.html");
  if (!import_fs.default.existsSync(indexFile)) {
    throw new Error(`controllers: index file redirect is on, but no such file: ${indexFile}`);
  }
  return (_req, res) => {
    res.sendFile(indexFile);
  };
};
var index_sender_default = indexSender;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {});
